<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\DB;

class SettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Cache::forget('settings');

        DB::table('settings')->insert([
            ['group' => 'site_information', 'key' => 'company_name', 'value' => 'Retenvi'],
            ['group' => 'site_information', 'key' => 'site_name', 'value' => 'Laramagz'],
            ['group' => 'site_information', 'key' => 'site_url', 'value' => 'http://localhost:8000'],
            ['group' => 'site_information', 'key' => 'site_email', 'value' => 'example@mail.com'],
            ['group' => 'site_information', 'key' => 'site_phone', 'value' => fake('id_ID')->phoneNumber()],
            ['group' => 'site_information', 'key' => 'street', 'value' => ''],
            ['group' => 'site_information', 'key' => 'city', 'value' => 'Jakarta'],
            ['group' => 'site_information', 'key' => 'postal_code', 'value' => '1283x'],
            ['group' => 'site_information', 'key' => 'state', 'value' => 'Jakarta'],
            ['group' => 'site_information', 'key' => 'country', 'value' => 'Indonesia'],
            ['group' => 'site_information', 'key' => 'site_description', 'value' => 'Content management system based on Laravel'],
            ['group' => 'site_information', 'key' => 'contact_description', 'value' => 'Lorem ipsum dolor, sit amet consectetur adipisicing elit. Excepturi, nesciunt?'],
            ['group' => 'site_information', 'key' => 'meta_keyword', 'value' => 'website, news, laravel, php, cms'],
            ['group' => 'site_information', 'key' => 'links', 'value' => '[{"id":"1","name":"Instagram","url":"https://www.instagram.com/retenvi","icon":"fab fa-instagram","color":"#885343"},{"id":"2","name":"Youtube","url":"https://www.youtube.com/channel/UCUYm8eLTfJDyHSHBLgFU5Gg","icon":"fab fa-youtube","color":"#C4302B"}]'],
            ['group' => 'site_information', 'key' => 'version', 'value' => '2.0.1'],
            ['group' => 'site_config', 'key' => 'maintenance', 'value' => 'n'],
            ['group' => 'site_config', 'key' => 'current_theme', 'value' => 'magz'],
            ['group' => 'site_config', 'key' => 'current_theme_dir', 'value' => 'magz'],
            ['group' => 'site_config', 'key' => 'register', 'value' => 'n'],
            ['group' => 'site_config', 'key' => 'email_verification', 'value' => 'n'],
            ['group' => 'site_config', 'key' => 'display_language', 'value' => 'y'],
            ['group' => 'site_config', 'key' => 'default_language', 'value' => 'en'],
            ['group' => 'site_config', 'key' => 'credentials_file', 'value' => 'service-account-credentials.json'],
            ['group' => 'site_config', 'key' => 'disqus_shortname', 'value' => ''],
            ['group' => 'site_config', 'key' => 'mailchimp', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'favicon', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'logo_web_light', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'logo_web_dark', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_homepage', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_category', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_contact', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_page', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_popular_post', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_posts', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_search', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_article_post', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_video_post', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_audio_post', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'ogi_tag', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'logo_dashboard', 'value' => ''],
            ['group' => 'logo_image', 'key' => 'logo_auth', 'value' => ''],
            ['group' => 'google', 'key' => 'measurement_id', 'value' => ''],
            ['group' => 'google', 'key' => 'property_id', 'value' => ''],
            ['group' => 'google', 'key' => 'publisher_id', 'value' => ''],
            ['group' => 'google', 'key' => 'google_site_verification', 'value' => ''],
            ['group' => 'permalinks', 'key' => 'permalink_type', 'value' => 'custom'],
            ['group' => 'permalinks', 'key' => 'permalink', 'value' => 'news'],
            ['group' => 'permalinks', 'key' => 'permalink_old_custom', 'value' => 'news'],
            ['group' => 'permalinks', 'key' => 'page_permalink_type', 'value' => 'with_prefix'],
            ['group' => 'permalinks', 'key' => 'category_permalink_type', 'value' => 'with_prefix_category'],
        ]);
    }
}
