<div class="tab-pane fade" id="web-config" role="tabpanel" aria-labelledby="web-config-tab">
    <form id="form-web-config" action="{{ route('settings.update') }}" method="POST" role="form" enctype="multipart/form-data">
        @method('PATCH')
        @csrf
        <input type="hidden" name="web_config">
        <div class="row">
            <div class="col-lg-6">
                <div class="form-group">
                    <label>{{ __('form.measurement_id') }}</label>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fab fa-google"></i></span>
                        </div>
                        <input type="text" name="measurement_id" class="form-control" placeholder="{{ __('form.placeholder_measurement_id') }}" value="{{ config('settings.google_analytics_id') }}">
                        <div class="msg-googleanalyticsid"></div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="">{{ __('form.publisher_id') }}</label>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-bullhorn"></i></span>
                        </div>
                        <input type="text" name="publisher_id" class="form-control" placeholder="{{ __('form.placeholder_publisher_id') }}" value="{{ config('settings.publisher_id') }}">
                        <div class="msg-publisherid"></div>
                    </div>
                </div>
                 <div class="form-group">
                    <label for="">{{ __('form.disqus_shortname') }}</label>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-comments"></i></span>
                        </div>
                        <input type="text" name="disqus_shortname" class="form-control" placeholder="{{ __('form.placeholder_disqus_shortname') }}" value="{{ config('settings.disqus_shortname') }}">
                        <div class="msg-disqusshortname"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="form-group">
                    <label>{{ __('form.property_id') }}</label>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-chart-line"></i></span>
                        </div>
                        <input type="text" name="property_id" class="form-control" placeholder="{{ __('form.placeholder_property_id') }}" value="{{ $propertyId }}">
                        <div class="msg-propertyid"></div>
                    </div>
                </div>
                <div class="form-group">
                    <label>{{ __('form.credentials_file') }}</label><br>
                    <div class="input-group">
                        <div class="custom-file">
                            <input type="file" name="credentials_file" class="custom-file-input" id="credentialFile" value="{{ config('settings.credentials_file') }}">
                            <label class="custom-file-label" for="credentialFile">{{ __('form.placeholder_credentials_file') }}</label>
                        </div>
                    </div>
                    <p>
                        <small>
                            {{ __('form.help_credentials_file') }}<br>
                        </small>
                    </p>
                </div>
            </div>
        </div>
    <div class="row mt-3">
        <div class="col-lg-12">
            <button id="submit-web-config" type="submit" class="btn btn-info float-right">{{ __('button.save') }}</button>
        </div>
    </div>
    </form>
    <hr>
    <div class="row mt-3">
        <div class="form-group col-lg-12">
            <label>{{ __('form.display_language_options') }}</label>
            <div class="custom-control custom-switch">
                <input type="checkbox" name="maintenance"
                       class="custom-control-input" data-id="" id="switchDisplayLanguage" {{ $showLanguage }}>
                <label class="custom-control-label" for="switchDisplayLanguage">
                    {{ __('form.label_display_language_options') }}
                </label>
            </div>
        </div>
        <div class="form-group col-lg-12">
            <label for="default_language">{{ __('form.default_language') }}</label>
            <select id="default_language" name="default_language" class="form-control">
                @foreach( $languages as $languageCode => $languageName )
                    @if($languageCode == config('settings.theme_language'))
                        <option value="{{ $languageCode }}" selected="selected">{{ $languageName }}</option>
                    @else
                        <option value="{{ $languageCode }}">{{ $languageName }}</option>
                    @endif
                @endforeach
            </select>
            <small id="defaultlanguageHelp" class="form-text text-muted">
                {{ __('form.help_default_language') }}
            </small>
        </div>
    </div>
    <hr>
    <div class="row mt-3">
        <div class="form-group col-lg-12">
            <label>{{ __('form.maintenance_mode') }}</label>
            <div class="custom-control custom-switch">
                <input type="checkbox" name="maintenance"
                       class="custom-control-input" data-id="" id="customSwitch1" {{ $maintenance }}>
                <label class="custom-control-label" for="customSwitch1">
                    {{ __('form.label_maintenance_mode') }}
                </label>
            </div>
        </div>
        @can('register-users')
            <div class="form-group col-lg-12">
                <label>{{ __('form.register_user') }}</label>
                <div class="custom-control custom-switch">
                    <input type="checkbox" name="maintenance" class="custom-control-input" data-id="" id="customSwitch2" {{ $register }}>
                    <label class="custom-control-label" for="customSwitch2">
                        {{ __('form.label_register_user') }}
                    </label>
                </div>
            </div>
            <div class="form-group col-lg-12">
                <label>{{ __('form.email_verification') }}</label>
                <div class="custom-control custom-switch">
                    <input type="checkbox" name="email_verification" class="custom-control-input" data-id="" id="customSwitch3" {{ $emailVerification }}>
                    <label class="custom-control-label" for="customSwitch3">
                        {{ __('form.label_email_verification') }}
                    </label>
                </div>
            </div>
        @endcan
    </div>
</div>
